Package org.gradle.api.tasks

## Interface WorkResult

-     public interface WorkResult

  Provides information about some work which was performed.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getDidWork()` |
    `default WorkResult` | `or​(WorkResult other)` | Returns this result if it did work, otherwise returns the result given as a parameter.

- - ### Method Detail

    - #### getDidWork

          boolean getDidWork()

    - #### or

          @Incubating
          default WorkResult or​(WorkResult other)

      Returns this result if it did work, otherwise returns the result given as a parameter.
      Since:
        6.0